Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 9014030: Plumbs ::didCompleteSwapBuffers in CompositorCC (Closed)

Created:
7 years, 9 months ago by pkotwicz
Modified:
7 years, 9 months ago
Reviewers:
piman
CC:
chromium-reviews, sadrul, jonathan.backer, Ian Vollick, dhollowa+watch_chromium.org, ben+watch_chromium.org, piman+watch_chromium.org
Visibility:
Public.

Description

Almost fixes the multithread compositor for accelerated content. This will be fully fixed once the browser compositor does not use the in_process_impl anymore. WebKit patch: https://bugs.webkit.org/show_bug.cgi?id=75491 BUG=None TEST=None Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=116782 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=117218

Patch Set 1 #

Patch Set 2 : Nicer diff #

Patch Set 3 : Nicer diff #

Total comments: 2

Patch Set 4 : Call NotifyEnd from didCompleteSwapBuffers #

Patch Set 5 : Changes as requested #

Patch Set 6 : Nicer diff #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -8 lines) Patch
M ui/gfx/compositor/compositor.h View 1 2 3 4 2 chunks +4 lines, -3 lines 0 comments Download
M ui/gfx/compositor/compositor.cc View 1 2 3 4 4 chunks +11 lines, -5 lines 0 comments Download
ui/gfx/compositor/compositor_cc.h View 1 2 3 4 2 chunks +2 lines, -0 lines 0 comments Download
M ui/gfx/compositor/compositor_cc.cc View 1 2 3 4 5 2 chunks +8 lines, -0 lines 1 comment Download

Messages

Total messages: 10 (0 generated)
pkotwicz
7 years, 9 months ago (2012-01-03 22:25:33 UTC) #1
piman
http://codereview.chromium.org/9014030/diff/4001/ui/gfx/compositor/compositor_cc.cc File ui/gfx/compositor/compositor_cc.cc (right): http://codereview.chromium.org/9014030/diff/4001/ui/gfx/compositor/compositor_cc.cc#newcode277 ui/gfx/compositor/compositor_cc.cc:277: Compositor::ScheduleDraw(); I don't understand why we're doing this here. ...
7 years, 9 months ago (2012-01-03 22:35:53 UTC) #2
pkotwicz
http://codereview.chromium.org/9014030/diff/4001/ui/gfx/compositor/compositor_cc.cc File ui/gfx/compositor/compositor_cc.cc (right): http://codereview.chromium.org/9014030/diff/4001/ui/gfx/compositor/compositor_cc.cc#newcode277 ui/gfx/compositor/compositor_cc.cc:277: Compositor::ScheduleDraw(); Compositor::ScheduleDraw is pretty much the same as what ...
7 years, 9 months ago (2012-01-03 22:42:17 UTC) #3
pkotwicz
7 years, 9 months ago (2012-01-03 23:11:53 UTC) #4
piman
On 2012/01/03 22:42:17, pkotwicz1 wrote: > http://codereview.chromium.org/9014030/diff/4001/ui/gfx/compositor/compositor_cc.cc > File ui/gfx/compositor/compositor_cc.cc (right): > > http://codereview.chromium.org/9014030/diff/4001/ui/gfx/compositor/compositor_cc.cc#newcode277 > ...
7 years, 9 months ago (2012-01-03 23:15:36 UTC) #5
pkotwicz
Does patch set 4 fix these issues?
7 years, 9 months ago (2012-01-04 18:29:49 UTC) #6
piman
On 2012/01/04 18:29:49, pkotwicz1 wrote: > Does patch set 4 fix these issues? NotifyEnd is ...
7 years, 9 months ago (2012-01-05 17:35:05 UTC) #7
pkotwicz
7 years, 9 months ago (2012-01-06 12:48:40 UTC) #8
pkotwicz
7 years, 9 months ago (2012-01-06 12:48:41 UTC) #9
piman
7 years, 9 months ago (2012-01-06 17:22:53 UTC) #10
lgtm

http://codereview.chromium.org/9014030/diff/16001/ui/gfx/compositor/composito...
File ui/gfx/compositor/compositor_cc.cc (right):

http://codereview.chromium.org/9014030/diff/16001/ui/gfx/compositor/composito...
ui/gfx/compositor/compositor_cc.cc:281: NotifyEnd();
nit: indent

Powered by Google App Engine
This is Rietveld 408576698